gSoap, Allegro Api , certyfikat SSL

0

Witam nie jestem niestety specem dlatego proszę o pomoc.

Wygenerowałem sobie pliki do obsugi allegro, jednak po uruchomieniu jednej z komend wyskakuje błąd :

<ort>SOAP 1.1 fault: SOAP-ENV:Client [no subcode] "OpenSSL not installed: recompile with -DWITH_OPENSSL"</ort>

Jak się domyślam jest do spowodowane problemem z certyfikatem.
Nie mniej jednak nie mam już sam pojęcia jak to rozwiązać.

Z tego co sprawdzałem opensll mam zainstalowanego.
Pracuje na qt creatorze, linux arch.

Czy byłby ktoś tak uprzejmy pomóc laikowi?

0

spróbuj tak jak w ostatnim poście tutaj http://cboard.cprogramming.co[...]sing-gsoap-openssl-linux.html

0

Witam,

Dziękuję za odpowiedź.
Na wstępie dodam, że natknąłem się już na ten post.

Może zacznę tak: posiadam projekt o nazwie "tutorial" w nim pliki:
main.cpp
gsoap/soapC.cpp
gsoap/soapClient.cpp
( przynajmniej tylko tych używam )

Nie mam tego pliku .o, ponieważ nie pamiętam jak go skompilować, ale wydaje mi się, że nie jest on teraz ważny ( poprawcie mnie jeżeli się mylę ? )

Wydaje zatem komendę:
gcc -o tutorial gsoap/soapC.cpp gsoap/soapClient.cpp -lgsoapssl -lssl

I po 30 sec otrzymuje kilka błędów:

/
usr/bin/ld: /usr/lib/gcc/x86_64-unknown-linux-gnu/4.9.1/../../../../lib/libgsoapssl.a(libgsoapssl_a-stdsoap2_ssl.o): undefined reference to symbol 'ERR_error_string'                                                  
/usr/lib/libcrypto.so.1.0.0: error adding symbols: DSO missing from command line                                                                                                                                        
collect2: error: ld returned 1 exit status   

PS: Gdyby znalazła się jakaś uprzejma która zechciała by mi poświęcić chwile swojego czasu a zna bądź przerabiała ten temat, chętnie wynagrodzę jej finansowo poświęcony dla mnie czas. Jest mi to niezbędne do mojej pracy mgr a taki sobie lipny obrałem temat.

1 użytkowników online, w tym zalogowanych: 0, gości: 1, botów: 0